Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoDigital Class Reference
GoSdk/Output » Digital

## Description

Represents Digital output settings.

Inheritance diagram for GoDigital:

## Public Member Functions
kStatus | GoDigital_AddSource (GoDigital digital, k32u sourceId)
| Selects the specified decision source for use in determining pass/fail status. More...
kStatus | GoDigital_ClearSources (GoDigital digital)
| Removes all selected decision sources. More...
k64s | GoDigital_Delay (GoDigital digital)
| Gets the output delay. More...
GoOutputDelayDomain | GoDigital_DelayDomain (GoDigital digital)
| Gets the output delay domain. More...
kStatus | GoDigital_EnableSchedule (GoDigital digital, kBool enabled)
| Enables or disables the scheduler for this output. More...
GoDigitalEvent | GoDigital_Event (GoDigital digital)
| Gets the event which triggers this output to fire. More...
k32u | GoDigital_OptionAt (GoDigital digital, kSize index)
| Gets the decision source option at the specified index. More...
kSize | GoDigital_OptionCount (GoDigital digital)
| Gets the number of available decision source options. More...
GoDigitalPass | GoDigital_PassMode (GoDigital digital)
| Gets the pass/fail mode for the digital output. More...
k32u | GoDigital_PulseWidth (GoDigital digital)
| Gets the width of digital output pulses. More...
k32u | GoDigital_PulseWidthLimitMax (GoDigital digital)
| Gets the maximum valid value for the Pulse Width setting. More...
k32u | GoDigital_PulseWidthLimitMin (GoDigital digital)
| Gets the minimum valid value for the Pulse Width setting. More...
kStatus | GoDigital_RemoveSource (GoDigital digital, kSize index)
| Removes (deselects) the decision source at the specified index. More...
kBool | GoDigital_ScheduleEnabled (GoDigital digital)
| Gets the enabled state of the scheduler for this output. More...
kStatus | GoDigital_SetDelay (GoDigital digital, k64s delay)
| Sets the delay from exposure until output is triggered, in units based on GoDomain. More...
kStatus | GoDigital_SetDelayDomain (GoDigital digital, GoOutputDelayDomain delayDomain)
| Sets the output delay domain. More...
kStatus | GoDigital_SetEvent (GoDigital digital, GoDigitalEvent event)
| Sets the event which triggers this output to fire. More...
kStatus | GoDigital_SetPassMode (GoDigital digital, GoDigitalPass pass)
| Sets the pass/fail mode for the digital output. More...
kStatus | GoDigital_SetPulseWidth (GoDigital digital, k32u width)
| Sets the width of digital output pulses. More...
kStatus | GoDigital_SetSignalType (GoDigital digital, GoDigitalSignal signal)
| Sets the signal type of output. More...
GoDigitalSignal | GoDigital_SignalType (GoDigital digital)
| Gets the signal type of output. More...
k32u | GoDigital_SourceAt (GoDigital digital, kSize index)
| Gets the identifier of the selected output source at the specified index. More...
kSize | GoDigital_SourceCount (GoDigital digital)
| Gets the number of decision sources that are currently selected for determining pass/fail state. More...

The documentation for this class was generated from the following file:

- Outputs/GoDigital.h